version: "3.3"

services:
  telegram_media_downloader:
    image: tangyoha/telegram_media_downloader:local
    build: .
    ports:
      # Here is what you need to edit
      - "2400:5000"
    #environment:
    #  - http_proxy=http://192.168.101.30:10811
    #  - https_proxy=http://192.168.101.30:10811
    volumes:
      # 本地卷宗挂载
      - "/volume1/PornClub/tgDownloads/:/app/downloads/"

      # Rclone
      - "$HOME/.config/rclone/:$HOME/.config/rclone/"

      # 本地卷宗挂载
      - "/volume2/docker/docker_projects/tgd/config.yaml:/app/config.yaml"
      - "/volume2/docker/docker_projects/tgd/data.yaml:/app/data.yaml"
      - "/volume2/docker/docker_projects/tgd/log/:/app/log/"
      - "/volume2/docker/docker_projects/tgd/sessions/:/app/sessions"
      - "/volume2/docker/docker_projects/tgd/temp/:/app/temp"
    #restart: "unless-stopped"
# volumes:
#   sessions:
#   temp: